import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 400;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 5;
const eyeOffsetX = 60;
const eyeOffsetY = 100;
const eyeRadius = 15;
const mouthWidth = 10;
const mouthRadius = 70;

const mouthArc = arc()
    .innerRadius(mouthRadius)
    .outerRadius(mouthRadius + mouthWidth)
    .startAngle(Math.PI / 2)
    .endAngle(Math.PI * 3 / 2);
	
const App = () => (
   <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle 
          r={centerY - strokeWidth / 2}
          fill="red"
          stroke="black"
          stroke-width={strokeWidth}
        />
      <circle 
          cx={- eyeOffsetX}
          cy={- eyeOffsetY}
          r={eyeRadius} 
        />
      <circle 
          cx={eyeOffsetX}
          cy={- eyeOffsetY}
          r={eyeRadius} 
        />
    </g>
    <g transform={`translate(${centerX},${centerY+80})`}>
      <path d={mouthArc()} transform='rotate(180)'/>
    </g>
  	</svg>
 
  );
 console.log(mouthArc());


const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);